﻿
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms
Imports Telerik.WinControls.UI

Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
        Me.Text = "VB " + Telerik.WinControls.VersionNumber.Number
        Dim statusTable As New DataTable()
        statusTable.Columns.Add("Status", GetType(String))
        statusTable.Rows.Add("Created")
        statusTable.Rows.Add("In Production")
        statusTable.Rows.Add("In Development")

        Dim statusTextColumn As New GridViewTextBoxColumn()
        statusTextColumn.Name = "StatusText"
        statusTextColumn.HeaderText = "StatusText"
        statusTextColumn.FieldName = "StatusText"
        statusTextColumn.MaxLength = 50
        statusTextColumn.TextAlignment = ContentAlignment.BottomRight
        radGridView1.MasterTemplate.Columns.Add(statusTextColumn)

        Dim comboCol As New GridViewComboBoxColumn("Status")
        comboCol.DataSource = statusTable
        comboCol.DisplayMember = "Status"
        comboCol.ValueMember = "Status"
        comboCol.FieldName = "Status"
        radGridView1.Columns.Add(comboCol)

        Me.radGridView1.Rows.Add("In Production", "In Production")
        Me.radGridView1.Rows.Add("Created", "Created")
        Me.radGridView1.Rows.Add("In Development", "In Development")
        Me.radGridView1.Rows.Add("In Production", "In Production")
        Me.radGridView1.Rows.Add("In Development", Nothing)

        AddHandler Me.radGridView1.RowFormatting, AddressOf radGridView1_RowFormatting

        Me.radGridView1.BestFitColumns(BestFitColumnMode.AllCells)
    End Sub

    Private Sub radGridView1_RowFormatting(sender As Object, e As RowFormattingEventArgs)
        If e.RowElement.RowInfo.Cells("Status").Value = "Created" OrElse e.RowElement.RowInfo.Cells("Status").Value = "In Production" Then
            e.RowElement.DrawFill = True
            e.RowElement.GradientStyle = Telerik.WinControls.GradientStyles.Solid
            e.RowElement.BackColor = Color.Red
        Else
            e.RowElement.ResetValue(LightVisualElement.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local)
            e.RowElement.ResetValue(LightVisualElement.GradientStyleProperty, Telerik.WinControls.ValueResetFlags.Local)
            e.RowElement.ResetValue(LightVisualElement.DrawFillProperty, Telerik.WinControls.ValueResetFlags.Local)
        End If
    End Sub
End Class
